From 44aa2eb47322ae084aaefb7e06f2ca7d67edb197 Mon Sep 17 00:00:00 2001
From: Chao Long <longchao@uniontech.com>
Date: Thu, 10 Sep 2020 11:09:34 +0800
Subject: [PATCH] ntdll: Fix a ImagePathName memory leak(Valgrind).

Signed-off-by: Chao Long <longchao@uniontech.com>
---
 dlls/ntdll/env.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/dlls/ntdll/env.c b/dlls/ntdll/env.c
index 06e7c1bb37..b60781bf0a 100644
--- a/dlls/ntdll/env.c
+++ b/dlls/ntdll/env.c
@@ -1246,10 +1246,14 @@ void init_user_process_params(void)
         if (RtlCreateProcessParametersEx( &params, &initial_params.ImagePathName, &dllpath, &curdir,
                                           &cmdline, NULL, &initial_params.ImagePathName, NULL, NULL, NULL,
                                           PROCESS_PARAMS_FLAG_NORMALIZED ))
+        {
+            RtlFreeUnicodeString( &initial_params.ImagePathName );
             return;
+        }
 
         params->Environment = env;
         NtCurrentTeb()->Peb->ProcessParameters = params;
+        RtlFreeUnicodeString( &initial_params.ImagePathName );
         RtlFreeUnicodeString( &cmdline );
         RtlReleasePath( load_path );
 
-- 
2.20.1

